Package com.saxonica.ee.schema

## Class SingleNamespaceSchema

- java.lang.Object
- - com.saxonica.ee.schema.SchemaStructure
  - - com.saxonica.ee.schema.PreparedSchema
    - - com.saxonica.ee.schema.SingleNamespaceSchema

- All Implemented Interfaces:
    `javax.xml.transform.SourceLocator`, `NotationSet`, `Location`, `org.xml.sax.Locator`

      public class SingleNamespaceSchema
      extends PreparedSchema

  A schema (collection of schema components) that has an identifiable target namespace: typically the set of components derived from a single import or include. It is not actually necessary that all the components should belong to this target namespace. In the specification, this is "the schema corresponding to some schema document".

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.ee.schema.PreparedSchema

      `NAMESPACE_KNOWN, NAMESPACE_SEALED, NAMESPACE_UNDER_CONSTRUCTION, NAMESPACE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleNamespaceSchema​(EnterpriseConfiguration config, java.lang.String targetNamespace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTargetNamespace()` | Returns the target namespace for this Schema, or "" if the schema is a no-namespace schema.
    `void` | `setTargetNamespace​(java.lang.String targetNamespace)` | Sets the target namespace for this Schema

    - ### Methods inherited from class com.saxonica.ee.schema.PreparedSchema

      `addAnonymousType, addAttributeDecl, addAttributeGroup, addComponent, addElementDecl, addGlobalParam, addGroup, addIdentityConstraint, addNotation, addType, copyTo, getAttributeDecl, getAttributeDecl, getAttributeGroup, getConfiguration, getElementDecl, getElementDecl, getExtensionsOfBuiltInType, getGlobalParam, getGlobalParams, getGroup, getIdentityConstraint, getLocalLicenseId, getNamePool, getNotation, getSchemaType, getSimpleType, getTargetNamespaces, getType, isDeclaredNotation, iterateAttributeDeclarations, iterateAttributeGroups, iterateElementDeclarations, iterateIdentityConstraints, iterateModelGroups, iterateNotations, iterateTypes, merge, registerExtensionOfBuiltInType, setConfiguration, setLocalLicenseId, validate, validateReference`

    - ### Methods inherited from class com.saxonica.ee.schema.SchemaStructure

      `elaborate, fixup, getColumnNumber, getFixupStatus, getGeneratedId, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, hasSameLocation, isValidationNeeded, lookForCycles, makeXPathExpressionPropertyRecord, saveLocation, setFixupStatus, setGeneratedId, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleNamespaceSchema

          public SingleNamespaceSchema​(EnterpriseConfiguration config,
                                       java.lang.String targetNamespace)

  - ### Method Detail

    - #### setTargetNamespace

          public void setTargetNamespace​(java.lang.String targetNamespace)

      Sets the target namespace for this Schema
      Parameters:
        `targetNamespace` - the target namespace for this Schema
      See Also:
        § 2.7 XML Schema Part 1: Structures

    - #### getTargetNamespace

          public java.lang.String getTargetNamespace()

      Returns the target namespace for this Schema, or "" if the schema is a no-namespace schema.
      Returns:
        the target namespace for this Schema, or "" if the schema is a no-namespace schema.